Debian Bug report logs - #697270
i386 multiarch not enabled and ia32-libs not installed by default on amd64

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: Alexey Eromenko <al4321@gmail.com>

Date: Thu, 3 Jan 2013 11:18:02 UTC

Severity: minor

Tags: wontfix

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#697270; Package kernel-image. (Thu, 03 Jan 2013 11:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexey Eromenko <al4321@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Thu, 03 Jan 2013 11:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexey Eromenko <al4321@gmail.com>
To: submit@bugs.debian.org
Subject: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 11:14:19 +0000
Package: kernel-image
Version: 3.2.0
severity: serious

(kernel-image-3.2.0-4-amd64-di)

Dear developers,

32-bit programs, such as FireFox refuse to work on Debian 7.0 64-bit (amd64).
This is new fresh stock install from di-BETA4 Wheezy DVD. (KDE)
The same works great on Debian 6.0 64-bit !

user@deb7vm:~/Downloads$ uname -a
Linux deb7vm 3.2.0-4-amd64 #1 SMP Debian 3.2.35-2 x86_64 GNU/Linux
user@deb7vm:~/Downloads$ arch
x86_64

32-bit user-space app -- execution FAILURE !!!
user@deb7vm:~/Downloads$ file 32bit/firefox/firefox-bin
32bit/firefox/firefox-bin: ELF 32-bit LSB executable, Intel 80386,
version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux
2.6.9, stripped
user@deb7vm:~/Downloads$ 32bit/firefox/firefox-bin
bash: 32bit/firefox/firefox-bin: No such file or directory

64-bit user-space app - WORKS !
user@deb7vm:~/Downloads$ file 64bit/firefox/firefox-bin
64bit/firefox/firefox-bin: ELF 64-bit LSB executable, x86-64, version
1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.9,
stripped
user@deb7vm:~/Downloads$ 64bit/firefox/firefox-bin
[programs WORKS]

Firefox 64-bit taken from:
http://mozilla.mirrors.tds.net/pub/mozilla.org/firefox/releases/latest/linux-x86_64/en-US/firefox-17.0.1.tar.bz2
The 32-bit comes from mozilla.org home page. (it is the default)

Please enable 32-bit user-space apps to work on 64-bit O.S. *by
default*. There are tons of desktop 32-bit apps for Linux, that should
*just work*. I have no clue if the problem is kernel or someplace
else, so please forward this issue to the appropriate package team.
The CLI output (saying file not found) is of no help either, and is
very misleading.

I am using amd64 Debian GNU/Linux 7.0, kernel 3.2.
-- 
-Alexey Eromenko "Technologov"



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#697270; Package kernel-image. (Thu, 03 Jan 2013 12:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Thu, 03 Jan 2013 12:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 697270@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: Alexey Eromenko <al4321@gmail.com>
Cc: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 03 Jan 2013 13:31:37 +0100
Control: reassign -1 general

Alexey Eromenko <al4321@gmail.com> writes:

> Package: kernel-image
> Version: 3.2.0
> severity: serious
>
> (kernel-image-3.2.0-4-amd64-di)
>
> Dear developers,
>
> 32-bit programs, such as FireFox refuse to work on Debian 7.0 64-bit (amd64).
> This is new fresh stock install from di-BETA4 Wheezy DVD. (KDE)
> The same works great on Debian 6.0 64-bit !

This is because you do not have 32 bit libraries installed, you have to
enable multi-arch: http://wiki.debian.org/Multiarch/HOWTO

Meanwhile, I'm reassigning the issue to general, as it is not kernel
related.

-- 
|8]




Bug reassigned from package 'kernel-image' to 'general'. Request was from Gergely Nagy <algernon@balabit.hu> to 697270-submit@bugs.debian.org. (Thu, 03 Jan 2013 12:33:08 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.2.0. Request was from Gergely Nagy <algernon@balabit.hu> to 697270-submit@bugs.debian.org. (Thu, 03 Jan 2013 12:33:09 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Thu, 03 Jan 2013 15:36:04 GMT) Full text and rfc822 format available.

Notification sent to Alexey Eromenko <al4321@gmail.com>:
Bug acknowledged by developer. (Thu, 03 Jan 2013 15:36:04 GMT) Full text and rfc822 format available.

Message #19 received at 697270-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-devel@lists.debian.org, 697270-done@bugs.debian.org
Cc: Gergely Nagy <algernon@balabit.hu>
Subject: Re: Processed: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 16:32:54 +0100
Hi Gergely,

if you take the effort to reassign to general, why dont you lower the severity 
as well?

And, if you explain how this is a user error, why dont you close it straight 
away?


cheers,
	Holger



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexey Eromenko <al4321@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:03:05 GMT) Full text and rfc822 format available.

Message #24 received at 697270@bugs.debian.org (full text, mbox):

From: Alexey Eromenko <al4321@gmail.com>
To: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 19:01:11 +0200
User error? Huh ?

No ! This is a Debian Bug !
Debian clearly says: "File does not exist", while in fact it DOES EXIST.
This is a 100% proof of Debian bug.

-- 
-Alexey Eromenko "Technologov"



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexey Eromenko <al4321@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:06:03 GMT) Full text and rfc822 format available.

Message #29 received at 697270@bugs.debian.org (full text, mbox):

From: Alexey Eromenko <al4321@gmail.com>
To: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 19:02:17 +0200
Please keep in mind, that I have wasted 4 hours of my personal time on
this Debian bug, and do you think this is reasonable ?

-- 
-Alexey Eromenko "Technologov"



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:27:03 GMT) Full text and rfc822 format available.

Message #34 received at 697270@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Alexey Eromenko <al4321@gmail.com>, 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Fri, 04 Jan 2013 01:25:50 +0800
On 01/04/2013 01:02 AM, Alexey Eromenko wrote:
> Please keep in mind, that I have wasted 4 hours of my personal time on
> this Debian bug, and do you think this is reasonable ?
>
It all depends.

How did you even install Firefox 32 bits? We don't have such a
package in Debian. It's rebranded as "iceweasel", because the
mozilla foundation wanted it this way (it's complicated, so I
will not go into details about why, though you can search on
your favorite web search engine about it).

And to reply to your question:

Yes, it's reasonable to spend 4 hours of your personal time on a
Debian bug. Hundreds of people are spending even more time than
this on a daily basis in order to improve Debian.

No, it's not reasonable to report you can't run Firefox 32 bits
on a 64 bits arch Debian, when really, you'd better just do:
apt-get install iceweasel

and use your newly installed browser in 64 bits mode...

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexey Eromenko <al4321@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:36:08 GMT) Full text and rfc822 format available.

Message #39 received at 697270@bugs.debian.org (full text, mbox):

From: Alexey Eromenko <al4321@gmail.com>
To: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 19:31:33 +0200
On Thu, Jan 3, 2013 at 7:25 PM, Thomas Goirand <zigo@debian.org> wrote:
>
> on a 64 bits arch Debian, when really, you'd better just do:
> apt-get install iceweasel
>
> and use your newly installed browser in 64 bits mode...

Not, because my job requires the latest FireFox (latest-and-greatest).
And the standard FireFox, which is 32-bits, should work.
Debian should ship with at least basic 32-bit packages, for LSB
dependency. (3rd party vendors code for 32-bit LSB)

-- 
-Alexey Eromenko "Technologov"



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:36:10 GMT) Full text and rfc822 format available.

Message #44 received at 697270@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Alexey Eromenko <al4321@gmail.com>
Cc: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 03 Jan 2013 09:32:28 -0800
Alexey Eromenko <al4321@gmail.com> writes:

> User error? Huh ?

> No ! This is a Debian Bug !
> Debian clearly says: "File does not exist", while in fact it DOES EXIST.
> This is a 100% proof of Debian bug.

That's the error message that you get when the dynamic loader for a binary
doesn't exist.  I think that's been the case for as long as Linux has
existed.

It is really confusing the first time you run into it, and indeed I had to
debug a problem due to that error just the other day.  But it's how some
rather low-level components of the system work.  One could argue that it's
a wishlist bug against the kernel, where I think one would have to add a
new errno value just for this error so that it can be distinguished from
the general ENOENT case.  But, even in that case, this would have to be
something changed upstream; it's not the sort of thing that Debian can
carry a local patch for.  Fiddling around with the error return codes of
system calls in a single distribution is not a good idea.  That sort of
thing tends to have unforseen compatibility issues.

So the short version is that, regardless, this is not a bug that Debian is
going to fix specifically in Debian.  If it changes upstream, obviously we
and all the other distributions will pick up that change.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexey Eromenko <al4321@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:48:05 GMT) Full text and rfc822 format available.

Message #49 received at 697270@bugs.debian.org (full text, mbox):

From: Alexey Eromenko <al4321@gmail.com>
To: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 19:44:59 +0200
But having 32-bit LSB compliance will help people a _LOT_.

-- 
-Alexey Eromenko "Technologov"



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:54:03 GMT) Full text and rfc822 format available.

Message #54 received at 697270@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Alexey Eromenko <al4321@gmail.com>, 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Fri, 4 Jan 2013 01:50:36 +0800
On Fri, Jan 4, 2013 at 1:31 AM, Alexey Eromenko <al4321@gmail.com> wrote:
> On Thu, Jan 3, 2013 at 7:25 PM, Thomas Goirand <zigo@debian.org> wrote:
>>
>> on a 64 bits arch Debian, when really, you'd better just do:
>> apt-get install iceweasel
>>
>> and use your newly installed browser in 64 bits mode...
>
> Not, because my job requires the latest FireFox (latest-and-greatest).
> And the standard FireFox, which is 32-bits, should work.
> Debian should ship with at least basic 32-bit packages, for LSB
> dependency. (3rd party vendors code for 32-bit LSB)
>

Btw, if you want the "latest" Nightly, try
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/
or "latest" Firefox, try
http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/latest/

All of them are available under both 32bit and 64bit x86 architectures.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 17:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 17:57:06 GMT) Full text and rfc822 format available.

Message #59 received at 697270@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Alexey Eromenko <al4321@gmail.com>, 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Fri, 04 Jan 2013 01:54:42 +0800
On 01/04/2013 01:31 AM, Alexey Eromenko wrote:
> On Thu, Jan 3, 2013 at 7:25 PM, Thomas Goirand <zigo@debian.org> wrote:
>> on a 64 bits arch Debian, when really, you'd better just do:
>> apt-get install iceweasel
>>
>> and use your newly installed browser in 64 bits mode...
> Not, because my job requires the latest FireFox (latest-and-greatest).

What you are looking for is:
http://mozilla.debian.net/

It has the latest. (or if doesn't, it will in a week or so,
Debian Developers behind this are very efficient)

> And the standard FireFox, which is 32-bits, should work.

You still didn't answer my question as to how you installed it,
so I can't tell.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@balabit.hu>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 18:03:03 GMT) Full text and rfc822 format available.

Message #64 received at 697270@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@balabit.hu>
To: Alexey Eromenko <al4321@gmail.com>
Cc: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 03 Jan 2013 18:59:02 +0100
Alexey Eromenko <al4321@gmail.com> writes:

> User error? Huh ?

It is, I'm afraid.

> No ! This is a Debian Bug !

No, it is not.

> Debian clearly says: "File does not exist", while in fact it DOES
> EXIST.

It does not. However, the file the message is referring to is not the
file you think it refers to: it is missing the 32-bit dynamic linker,
/lib32/ld-linux.so.2 (available in the package libc6-i386), not the
firefox binary itself.

The message is a bit confusing, indeed, but without a dynamic linker
present, it's hard to do any better.

> This is a 100% proof of Debian bug.

You installed a 32-bit application on a 64-bit system. That will only
work if you also install the 32-bit supporting libraries, including the
dynamic linker. This is not a bug in Debian.

And no, installing 32-bit libraries by default would be a bad idea, for
a multitude of reasons.

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 18:03:05 GMT) Full text and rfc822 format available.

Message #69 received at 697270@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Alexey Eromenko <al4321@gmail.com>
Cc: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 03 Jan 2013 09:58:58 -0800
Alexey Eromenko <al4321@gmail.com> writes:

> But having 32-bit LSB compliance will help people a _LOT_.

Debian provides LSB compliance via the lsb set of packages.  Not everyone
wants to have all LSB packages installed or particularly cares about LSB
compliance.  If you do:

    aptitude install lsb

will install it for you.  This should also pull in 32-bit support on an
amd64 architecture.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 18:03:07 GMT) Full text and rfc822 format available.

Message #74 received at 697270@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Alexey Eromenko <al4321@gmail.com>, 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Fri, 4 Jan 2013 02:01:26 +0800
On Fri, Jan 4, 2013 at 1:44 AM, Alexey Eromenko <al4321@gmail.com> wrote:
> But having 32-bit LSB compliance will help people a _LOT_.
>

This does not mean you can't run 32bit application under a 64bit
Debian installation, it's because the support is not added into
default installation as the feature isn't considered "stable" in the
Debian way. You can search for Multi-Arch for more details on this
topic. You will be able to run most of the 32bit applications by
installing the required 32bit libraries, and the error of "File does
not exist" means some/all of the required 32bit libraries do not
exist.  I agree it is not a user-friendly error message which can
cause misunderstanding, but that message should not be fixed by Debian
as Russ has given the details.


-- 
Regards,
Aron Xu



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 18:06:03 GMT) Full text and rfc822 format available.

Message #79 received at 697270@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Alexey Eromenko <al4321@gmail.com>, 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 19:05:48 +0100
Le jeudi, 3 janvier 2013 18.44:59, Alexey Eromenko a écrit :
> But having 32-bit LSB compliance will help people a _LOT_.

By the way:
* Debian is not LSB-certified
* ... but the lsb-* packages try to provide a working implementation.

No work has been attempted to provide Multi-Arch lsb packages (besides lsb-
release and lsb-base being Architecture: foreign). Patches are welcome to make 
Wheezy+1 more suitable to your needs.

Cheers,

OdyX



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexey Eromenko <al4321@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 18:21:05 GMT) Full text and rfc822 format available.

Message #84 received at 697270@bugs.debian.org (full text, mbox):

From: Alexey Eromenko <al4321@gmail.com>
To: 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 20:16:39 +0200
On Thu, Jan 3, 2013 at 8:05 PM, Didier 'OdyX' Raboud <odyx@debian.org> wrote:
>
> release and lsb-base being Architecture: foreign). Patches are welcome to make
> Wheezy+1 more suitable to your needs.

How about changing it from a kernel bug to tasksel feature ?

I recommend: "tasksel" to install 32-bit libraries by default, if user
chooses stock "Desktop" (KDE/GNOME/XFCE/...). This should solve the
problem for most users.

-- 
-Alexey Eromenko "Technologov"



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 18:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Weingärtner <timo@tiwe.de>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 18:21:07 GMT) Full text and rfc822 format available.

Message #89 received at 697270@bugs.debian.org (full text, mbox):

From: Timo Weingärtner <timo@tiwe.de>
To: 697270@bugs.debian.org
Cc: Alexey Eromenko <al4321@gmail.com>, control@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 19:19:29 +0100
[Message part 1 (text/plain, inline)]
clone 697270 -1
retitle -1 misleading error message when ELF interpreter does not exist
reassign -1 bash
severity -1 normal
merge -1 609882
retitle 697270 i386 multiarch not enabled and ia32-libs not installed by default on amd64
severity 697270 minor
tags 697270 +wontfix
thanks

Hi Alexey,

2013-01-03 um 18:32:28 schrieb Russ Allbery:
> Alexey Eromenko <al4321@gmail.com> writes:
> > User error? Huh ?
> > 
> > No ! This is a Debian Bug !
> > Debian clearly says: "File does not exist", while in fact it DOES EXIST.
> > This is a 100% proof of Debian bug.

I guess it is bash telling you that.

> That's the error message that you get when the dynamic loader for a binary
> doesn't exist.  I think that's been the case for as long as Linux has
> existed.

That's already reported as bug #609882.

For the second part: most people won't need i386 libs on a amd64 system, so
this is obviously a wontfix. You can still install ia32-libs if you need them
and follow the instructions for enabling multiarch for i386.


Greetings
Timo
[signature.asc (application/pgp-signature, inline)]

Bug 697270 cloned as bug 697299 Request was from Timo Weingärtner <timo@tiwe.de> to control@bugs.debian.org. (Thu, 03 Jan 2013 18:21:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'i386 multiarch not enabled and ia32-libs not installed by default on amd64' from 'PC 32-bit programs fails to work on amd64' Request was from Timo Weingärtner <timo@tiwe.de> to control@bugs.debian.org. (Thu, 03 Jan 2013 18:21:10 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'serious' Request was from Timo Weingärtner <timo@tiwe.de> to control@bugs.debian.org. (Thu, 03 Jan 2013 18:21:11 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Timo Weingärtner <timo@tiwe.de> to control@bugs.debian.org. (Thu, 03 Jan 2013 18:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 18:57:05 GMT) Full text and rfc822 format available.

Message #102 received at 697270@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: Alexey Eromenko <al4321@gmail.com>, 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 03 Jan 2013 14:53:38 -0400
On 01/03/2013 02:16 PM, Alexey Eromenko wrote:
> On Thu, Jan 3, 2013 at 8:05 PM, Didier 'OdyX' Raboud <odyx@debian.org> wrote:
>>
>> release and lsb-base being Architecture: foreign). Patches are welcome to make
>> Wheezy+1 more suitable to your needs.
> 
> How about changing it from a kernel bug to tasksel feature ?
> 
> I recommend: "tasksel" to install 32-bit libraries by default, if user
> chooses stock "Desktop" (KDE/GNOME/XFCE/...). This should solve the
> problem for most users.

See
http://www.debian.org/releases/stable/amd64/apbs04.html.en#preseed-pkgsel for
selection of individual packages at install time by preseeding. Sounds
like maybe it is a fit for your needs.

Ben





Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 19:03:05 GMT) Full text and rfc822 format available.

Message #107 received at 697270@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Aron Xu <happyaron.xu@gmail.com>, 697270@bugs.debian.org
Cc: Alexey Eromenko <al4321@gmail.com>
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 18:59:49 +0000
On Fri, Jan 04, 2013 at 02:01:26AM +0800, Aron Xu wrote:
> On Fri, Jan 4, 2013 at 1:44 AM, Alexey Eromenko <al4321@gmail.com> wrote:
> > But having 32-bit LSB compliance will help people a _LOT_.
> >
> 
> This does not mean you can't run 32bit application under a 64bit
> Debian installation, it's because the support is not added into
> default installation as the feature isn't considered "stable" in the
> Debian way. 
[...]

In squeeze one could just run:

    apt-get install ia32-libs-gtk

and most third-party i386 binaries would work.  But in wheezy one must
first run:

    dpkg --add-architecture i386
    apt-get update

The installer doesn't AFAIK provide even the option to do this.  (The
i386/amd64 installer images might at least be usable as multiarch APT
sources though.)  So this is a usability regression in wheezy.

Further, since the ia32-libs-* metapackages are transitional, this is
due to become even more difficult in jessie.  I think it's a mistake
to remove well-known and useful metapackages, and they should be
retained.  However they should probably be moved into tasksel once the
installer is multiarch-aware.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Thu, 03 Jan 2013 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 03 Jan 2013 19:51:03 GMT) Full text and rfc822 format available.

Message #112 received at 697270@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Alexey Eromenko <al4321@gmail.com>, 697270@bugs.debian.org
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Thu, 3 Jan 2013 17:46:24 -0200
On Thu, 03 Jan 2013, Alexey Eromenko wrote:
> On Thu, Jan 3, 2013 at 8:05 PM, Didier 'OdyX' Raboud <odyx@debian.org> wrote:
> >
> > release and lsb-base being Architecture: foreign). Patches are welcome to make
> > Wheezy+1 more suitable to your needs.
> 
> How about changing it from a kernel bug to tasksel feature ?
> 
> I recommend: "tasksel" to install 32-bit libraries by default, if user
> chooses stock "Desktop" (KDE/GNOME/XFCE/...). This should solve the
> problem for most users.

This is actually a very good idea.  Automatically generate the library
subset of a task, teach tasksel to add the required arch tags, and make it
as easy as a checkbox or a command line option to add most of the libraries
you might ever need for a secondary arch.  This could go a long way to make
it less painful (if a _lot_ more wasteful of inodes and disk space) to deal
with 32-bit non-debian applications.

That said, for now, it is best to learn how to use the "ldd" utility to root
out missing libraries for any binary.  It *really* helps.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Fri, 04 Jan 2013 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Fri, 04 Jan 2013 13:09:03 GMT) Full text and rfc822 format available.

Message #117 received at 697270@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 697270@bugs.debian.org
Cc: Aron Xu <happyaron.xu@gmail.com>, Alexey Eromenko <al4321@gmail.com>
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Fri, 4 Jan 2013 13:03:55 +0000
On Thu, Jan 03, 2013 at 06:59:49PM +0000, Ben Hutchings wrote:
>     dpkg --add-architecture i386
>     apt-get update
> 
> The installer doesn't AFAIK provide even the option to do this.  (The
> i386/amd64 installer images might at least be usable as multiarch APT
> sources though.)  So this is a usability regression in wheezy.

I don't think I got round to updating apt-setup for the new
--add-architecture scheme; but the apt-setup/multiarch template does
exist and I think that at this point it would count as a bug-fix to make
it work properly.  Given that, you could at least boot the installer
with apt-setup/multiarch=i386.

I think that apt-setup/multiarch=i386 should be the default on amd64;
but I'm less sure that I could convince anyone that that deserves a
freeze exception.

-- 
Colin Watson                                       [cjwatson@debian.org]



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#697270; Package general. (Mon, 07 Jan 2013 04:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Mon, 07 Jan 2013 04:57:03 GMT) Full text and rfc822 format available.

Message #122 received at 697270@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Colin Watson <cjwatson@debian.org>
Cc: 697270@bugs.debian.org, Aron Xu <happyaron.xu@gmail.com>, Alexey Eromenko <al4321@gmail.com>
Subject: Re: Bug#697270: PC 32-bit programs fails to work on amd64
Date: Mon, 07 Jan 2013 04:55:10 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2013-01-04 at 13:03 +0000, Colin Watson wrote:
> On Thu, Jan 03, 2013 at 06:59:49PM +0000, Ben Hutchings wrote:
> >     dpkg --add-architecture i386
> >     apt-get update
> > 
> > The installer doesn't AFAIK provide even the option to do this.  (The
> > i386/amd64 installer images might at least be usable as multiarch APT
> > sources though.)  So this is a usability regression in wheezy.
> 
> I don't think I got round to updating apt-setup for the new
> --add-architecture scheme; but the apt-setup/multiarch template does
> exist and I think that at this point it would count as a bug-fix to make
> it work properly.  Given that, you could at least boot the installer
> with apt-setup/multiarch=i386.

Yes, please.

> I think that apt-setup/multiarch=i386 should be the default on amd64;
> but I'm less sure that I could convince anyone that that deserves a
> freeze exception.

I'm convinced, but I don't count. :-)

Ben.

-- 
Ben Hutchings
If you seem to know what you are doing, you'll be given more to do.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Feb 2013 07:27:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:33:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.